<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        .centertext {
            text-align: center;
            font-size: 20pt;
            margin: 5px;
        }
        
        .boldtext{
            font-weight: bold;
        }

        .card {
            padding: 5px;
            border-style: solid;
            background-color: rgb(118, 118, 121);
            width: 400px;
            text-align: center
        }

        .w100px{
            width: 100px;
        }
    </style>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app" class="card">
        <div><input type="text" ref="num1" v-model="state.num1" class="centertext"></div>
        <div class="centertext boldtext">+</div>
        <div><input type="text" ref="num2" v-model="state.num2" class="centertext"></div>
        <div><button class="centertext w100px" @click="doAdd()">=</button></div>
        <div class="centertext" ref="result">{{state.result}}</div>
        <div>{{state.num1}} + {{state.num2}} = {{result}}</div>
    </div>
</body>
<script>
    const { createApp, reactive, computed } = Vue
    createApp({
        setup(){
            const state = reactive({
                num1: '1',
                num2: '1',
                result: 2
            })
            const result = computed(function() {
                return parseInt(state.num1) + parseInt(state.num2)
            })
            const doAdd = function(){
                state.result = parseInt(state.num1) + parseInt(state.num2)
            }
            return {state,doAdd,result}
        }
    }).mount('#app')

</script>
</html>